summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-23 17:06:13 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-10-23 17:06:13 +0000
commitda4408daf73307fa8154c00b962ea7a6f2fee53a (patch)
tree858d06a0fce8e455f9d3c30d9f7d9898acc78653 /jenkins
parent4feeed362c3ed411cb6933071fb1bcbeeeb873d7 (diff)
onsuccess: #767: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1233
-rw-r--r--jenkins/notify-init.log318
-rw-r--r--jenkins/rewrite.log22
-rw-r--r--jenkins/run-build.env8
5 files changed, 246 insertions, 1337 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 9f859aa..edd45bc 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#766-glibc-R1
+#767-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index 453e96c..c2acbfa 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -d: -f 1
-+ host=tcwg-jade-05
++ host=tcwg-jade-06
+ local port
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 4
-+ opts=-p50224
++ opts=-p35859
+ local env_vars
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p50224 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p35859 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts __TCWG_JIRA_TOKEN ijQW9spm0p7HwZnUtLFx7CCA __stage full __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -71,8 +71,8 @@
+ declare print_commits_f print_result_f print_config_f print_last_icommit_f
+ dump_model_only=false
+ setup_notify_environment
-# setup_notify_environment
+ echo '# setup_notify_environment'
+# setup_notify_environment
+ top_artifacts=artifacts
++ get_current_manifest '{rr[ci_project]}'
++ get_manifest artifacts/manifest.sh '{rr[ci_project]}'
@@ -82,32 +82,32 @@
++ get_manifest artifacts/manifest.sh '{rr[ci_config]}'
++ set +x
+ ci_config=master-aarch64
-+ echo '# Debug traces :'
# Debug traces :
++ echo '# Debug traces :'
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/'
# Using dir : artifacts
+ echo '# Using dir : artifacts'
-+ echo ''
++ echo ''
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+ echo '# check_source_changes'
+# check_source_changes
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
++ set +x
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x2aa0974d2573441bffd596b07bff8698b1f2f18c '!=' xf5677d9cebb12edcd9301dbb5cf40f82618b46af ']'
+++ '[' x83d13972f23546758b600ba940e0d53248dd0339 '!=' x2aa0974d2573441bffd596b07bff8698b1f2f18c ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ first_bad=83d13972f23546758b600ba940e0d53248dd0339
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ last_good=2aa0974d2573441bffd596b07bff8698b1f2f18c
+ local res
+ res=0
-+ wait 67143
++ wait 63564
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ git -C glibc rev-parse '2aa0974d2573441bffd596b07bff8698b1f2f18c^@'
++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
+++ git -C glibc rev-parse '83d13972f23546758b600ba940e0d53248dd0339^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f5677d9cebb12edcd9301dbb5cf40f82618b46af = f5677d9cebb12edcd9301dbb5cf40f82618b46af ']'
-+ return 0
-+ change_kind=single_commit
++ '[' 97290559c3b497fb9012c3f6248cb30afb26da7c = 2aa0974d2573441bffd596b07bff8698b1f2f18c ']'
++ return 1
++ change_kind=single_component
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_commit : glibc
-+ echo '# change_kind=single_commit : glibc'
+# change_kind=single_component : glibc
++ echo '# change_kind=single_component : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,18 +197,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ git -C glibc rev-list --count f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ c_commits=1
-# rev for glibc : f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c (1 commits)
++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
+++ git -C glibc rev-list --count 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
++ c_commits=7
+# rev for glibc : 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339 (7 commits)
-+ echo '# rev for glibc : f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c (1 commits)'
++ echo '# rev for glibc : 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339 (7 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -232,264 +232,11 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 67223
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=4ab17925
-++ '[' 0 -ne 0 ']'
-++ echo 4ab17925
-+ sha1=4ab17925
-+ git -C interesting-commits checkout --detach 4ab17925
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 8f1be165 Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 8f1be165
-
-HEAD is now at 4ab17925 Add entry da1a888b524d620c7a17f368b69c46934b69495c from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_eabi-build/334/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ subdir3=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c tcwg_glibc_build
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-+ subdir4=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c tcwg_glibc_build master-aarch64
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c ']'
-+ mkdir -p interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url
-+ mkdir -p interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo f5677d9cebb12edcd9301dbb5cf40f82618b46af
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/'
-[detached HEAD 106e7ec6] Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
- 3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/last_good
-+ wait 79241
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -498,577 +245,15 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_commit '!=' xsingle_commit ']'
-+ local isubdir
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ isubdir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url ']'
-+ local first_url
-++ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url
-+ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/ ']'
-+ first_icommit_to_report=true
++ '[' xsingle_component '!=' xsingle_commit ']'
++ return
+ post_interesting_commits full
+ set -euf -o pipefail
+ echo '# post_interesting_commits'
# post_interesting_commits
+ local stage=full
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 79311
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=4ab17925
-++ '[' 0 -ne 0 ']'
-++ echo 4ab17925
-+ sha1=4ab17925
-+ git -C interesting-commits checkout --detach 4ab17925
-Warning: you are leaving 1 commit behind, not connected to
-any of your branches:
-
- 106e7ec6 Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
-
-If you want to keep it by creating a new branch, this may be a good time
-to do so with:
-
- git branch <new-branch-name> 106e7ec6
-
-HEAD is now at 4ab17925 Add entry da1a888b524d620c7a17f368b69c46934b69495c from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_eabi-build/334/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-+ '[' full = full ']'
-+ false
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits full ''
-+ echo '# update_interesting_commits'
-+ local stage=full
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ subdir3=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c tcwg_glibc_build
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-+ subdir4=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c tcwg_glibc_build master-aarch64
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c ']'
-+ mkdir -p interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url
-+ mkdir -p interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo f5677d9cebb12edcd9301dbb5cf40f82618b46af
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/last_good
-+ '[' full '!=' full ']'
-+ gnu_print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --oneline
-+ false
-+ local print_arg=--oneline
-+ case "$print_arg" in
-+ '[' 0 = 0 ']'
-+ echo Success
-+ return 0
-+ merge_status_summary interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh: line 1044: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ merge_status_summary interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ set -euf -o pipefail
-+ local subdir=interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ local cur_file cur best= best_file
-+ read -r cur_file
-++ find interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c -mindepth 2 -maxdepth 2 -name status-summary.txt
-++ sort
-++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status-summary.txt
-+ cur=Success
-+ '[' Success -le '' ']'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh: line 1044: [: Success: integer expression expected
-+ best=Success
-+ best_file=interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status-summary.txt
-+ read -r cur_file
-+ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status-summary.txt
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status-summary.txt glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status-summary.txt
-+ gnu_print_result --long
-+ false
-+ local print_arg=--long
-+ '[' -d artifacts/sumfiles ']'
-+ print_result --long
-+ false
-+ local print_arg=--long
-+ case "$print_arg" in
-+ echo 'Results changed to'
-++ cat artifacts/results
-+ echo '# reset_artifacts:
--10
-# init_abe_sysroot:
-0
-# build_abe glibc -- --disable install:
-1'
-+ echo ''
-+ echo From
-++ cat base-artifacts/results
-+ echo '# reset_artifacts:
--10
-# init_abe_sysroot:
-0
-# build_abe glibc -- --disable install:
-1'
-+ return 0
-+ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status-summary.txt
-+ sed 's/^/* /'
-+ print_icommits_link glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/details.txt
-+ set -euf -o pipefail
-+ local path=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/details.txt
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/details.txt
-+ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/build_url
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status.txt
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/summary.txt ']'
-+ local bad_artifacts_url good_artifacts_url
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/artifact/artifacts
-++ get_baseline_manifest BUILD_URL
-++ get_manifest base-artifacts/manifest.sh BUILD_URL false
-++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/artifact/artifacts
-+ cat
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-+ local ci_config
-+ read ci_config
-++ cd interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ ls
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status.txt ']'
-+ echo '* master-aarch64'
-+ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status.txt
-+ sed 's/^/*/'
-+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status-summary.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status.txt/summary.txt ']'
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status.txt/status.txt ']'
-+ continue
-+ read ci_config
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status.txt
-+ local ci_project
-+ read ci_project
-++ cd interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ ls
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status-summary.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status.txt/status.txt ']'
-+ continue
-+ read ci_project
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status.txt ']'
-+ echo '* tcwg_glibc_build'
-+ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status.txt
-+ sed 's/^/*/'
-+ read ci_project
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status.txt
-+ print_commits --short
-+ set -euf -o pipefail
-+ false
-+ local print_arg=--short
-+ '[' single_commit = no_change ']'
-+ local more_lines
-+ '[' single_commit = single_commit ']'
-+ local c=glibc
-+ '[' --short = --link ']'
-+ local describe
-+ '[' '' = '' ']'
-++ describe_sha1 glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c true
-++ local component=glibc
-++ local sha1=2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local anything=true
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C glibc describe 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ describe=glibc-2.38.9000-185-g2aa0974d25
-++ echo glibc-2.38.9000-185-g2aa0974d25
-++ sed 's,^basepoints/,,'
-+ describe=glibc-2.38.9000-185-g2aa0974d25
-+ '[' --short = --oneline ']'
-+ '[' '' = '' ']'
-+ echo 'commit glibc-2.38.9000-185-g2aa0974d25'
-+ local tmpfile
-++ mktemp
-+ tmpfile=/tmp/tmp.DT2kawQwOR
-+ git -C glibc log -n1 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ tail -n +2
-+ head -n 10 /tmp/tmp.DT2kawQwOR
-++ cat /tmp/tmp.DT2kawQwOR
-++ wc -l
-+ more_lines=-1
-+ '[' -1 -gt 0 ']'
-+ rm /tmp/tmp.DT2kawQwOR
-+ '[' '' '!=' '' ']'
-+ return 0
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/commit-log.txt
-+ true
-+ local jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-+ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/key ']'
-+ '[' -e interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira ']'
-+ mkdir interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-+ '[' '' '!=' '' ']'
-++ print_commits --oneline
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c true
-+++ local component=glibc
-+++ local sha1=2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ describe=glibc-2.38.9000-185-g2aa0974d25
-+++ echo glibc-2.38.9000-185-g2aa0974d25
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-185-g2aa0974d25
-++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-185-g2aa0974d25
-++ return 0
-++ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status-summary.txt
-+ echo glibc-2.38.9000-185-g2aa0974d25: Success
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/summary
-+ cat
-++ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/commit-log.txt
-++ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status.txt
-++ print_icommits_link glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/yaml
-++ set -euf -o pipefail
-++ local path=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/yaml
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/yaml
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/description
-+ update_jira_card
-+ set -euf -o pipefail
-+ echo '# update_jira_card'
-# update_jira_card
-+ local jira_dir
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-+ components=()
-+ local -a components
-+ case "$changed_single_component" in
-+ components+=(Glibc)
-+ IFS=,
-+ echo Glibc
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/components
-+ local commit_date
-++ git -C glibc log -n1 --pretty=%cd --date=iso 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ commit_date='2023-10-20 19:30:25 +0200'
-+ date -d '2023-10-20 19:30:25 +0200' +%Y-%m-%d
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/startdate
-+ local key project
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-++ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-+ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/key'
-WARNING: no existing jira card interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/key
-+ return 0
-+ local describe
-++ describe_sha1 glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c false
-++ local component=glibc
-++ local sha1=2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local anything=false
-++ match=()
-++ local -a match
-++ case "$component" in
-++ git -C glibc describe 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ describe=glibc-2.38.9000-185-g2aa0974d25
-+ '[' glibc-2.38.9000-185-g2aa0974d25 '!=' '' ']'
-+ local d
-++ dirname glibc-2.38.9000-185-g2aa0974d25
-+ d=.
-+ mkdir -p interesting-commits/glibc/.
-+ local symlink=
-+ '[' . '!=' . ']'
-+ symlink=sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ rm -f interesting-commits/glibc/glibc-2.38.9000-185-g2aa0974d25
-+ ln -s sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c interesting-commits/glibc/glibc-2.38.9000-185-g2aa0974d25
-+ git -C interesting-commits add glibc/glibc-2.38.9000-185-g2aa0974d25
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/'
-[detached HEAD d39de868] Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
- 17 files changed, 80 insertions(+)
- create mode 120000 glibc/glibc-2.38.9000-185-g2aa0974d25
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/commit-log.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/components
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/description
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/startdate
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/summary
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status-summary.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/details.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/last_good
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status-summary.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/status.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status-summary.txt
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/status.txt
-+ wait 91646
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
++ '[' single_component '!=' single_commit ']'
++ return
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -1078,23 +263,11 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ isubdir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ case "$print_arg" in
-++ echo interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ icommit_entry=interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ '[' interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c '!=' '' ']'
-+ '[' -d interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira ']'
-+ rsync -a interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/ artifacts/notify/jira/
-+ '[' -f artifacts/notify/jira/key ']'
+++ '[' xsingle_component '!=' xsingle_commit ']'
+++ return 0
++ icommit_entry=
++ '[' '' '!=' '' ']'
++ mkdir -p artifacts/notify/jira
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -1118,9 +291,9 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -1143,15 +316,27 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
++ read -r email
+++ git -C glibc log --pretty=%ae 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
++ read -r email
++ emails["$email"]=cc
+ read -r email
-++ git -C glibc log --pretty=%ae f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -1162,15 +347,27 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
++ read -r email
+++ git -C glibc log --pretty=%ce 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
++ read -r email
++ emails["$email"]=to
+ read -r email
-++ git -C glibc log --pretty=%ce f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -1184,42 +381,67 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
+ case "$type" in
+ recipients+=("$type:$email")
+ for email in "${!emails[@]}"
++ type=bcc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
++ type=cc
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$type:$email")
++ for email in "${!emails[@]}"
+ type=to
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$email")
+ for email in "${!emails[@]}"
-+ type=bcc
++ type=to
++ case "$precommit_postcommit:$type" in
++ case "$type" in
++ recipients+=("$email")
++ for email in "${!emails[@]}"
++ type=cc
+ case "$precommit_postcommit:$type" in
+ case "$type" in
+ recipients+=("$type:$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,fweimer@redhat.com,bcc:tcwg-validation@linaro.org
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,cc:simon.chopin@canonical.com,szabolcs.nagy@arm.com,adhemerval.zanella@linaro.org,cc:Joe.Ramsay@arm.com
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --oneline = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c true
-+++ local component=glibc
-+++ local sha1=2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ describe=glibc-2.38.9000-185-g2aa0974d25
-+++ echo glibc-2.38.9000-185-g2aa0974d25
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-185-g2aa0974d25
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
++++ git -C glibc rev-list --count 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
+++ c_commits=7
+++ new_commits=7
++++ echo glibc
++++ tr ' ' ,
+++ components=glibc
+++ echo '7 commits in glibc'
++ '[' --oneline = --oneline ']'
-++ echo glibc-2.38.9000-185-g2aa0974d25
++ return 0
++ gnu_print_result --oneline
++ false
@@ -1234,7 +456,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --oneline
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
++ gcc_override_configure=()
++ local -a gcc_override_configure
++ gcc_target_board_options=()
@@ -1283,21 +505,21 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-185-g2aa0974d25: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' '7 commits in glibc: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
++ gcc_override_configure=()
++ local -a gcc_override_configure
++ gcc_target_board_options=()
@@ -1346,39 +568,57 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_commit = no_change ']'
+++ '[' single_component = no_change ']'
++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --short = --link ']'
-++ local describe
-++ '[' '' = '' ']'
-+++ describe_sha1 glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c true
-+++ local component=glibc
-+++ local sha1=2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ local anything=true
-+++ match=()
-+++ local -a match
-+++ case "$component" in
-+++ git -C glibc describe 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ describe=glibc-2.38.9000-185-g2aa0974d25
-+++ echo glibc-2.38.9000-185-g2aa0974d25
-+++ sed 's,^basepoints/,,'
-++ describe=glibc-2.38.9000-185-g2aa0974d25
+++ '[' single_component = single_commit ']'
+++ '[' single_component = single_component ']'
+++ local new_commits c base_rev cur_rev c_commits components
+++ local commits_or_patches
+++ '[' '' '!=' '' ']'
+++ commits_or_patches=commits
+++ new_commits=0
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
++++ git -C glibc rev-list --count 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
+++ c_commits=7
+++ new_commits=7
++++ echo glibc
++++ tr ' ' ,
+++ components=glibc
+++ echo '7 commits in glibc'
++ '[' --short = --oneline ']'
-++ '[' '' = '' ']'
-++ echo 'commit glibc-2.38.9000-185-g2aa0974d25'
-++ local tmpfile
-+++ mktemp
-++ tmpfile=/tmp/tmp.C8VZTfxoEK
-++ git -C glibc log -n1 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ tail -n +2
-++ head -n 10 /tmp/tmp.C8VZTfxoEK
-+++ cat /tmp/tmp.C8VZTfxoEK
-+++ wc -l
-++ more_lines=-1
-++ '[' -1 -gt 0 ']'
-++ rm /tmp/tmp.C8VZTfxoEK
+++ for c in "${changed_components[@]}"
++++ get_baseline_git glibc_rev
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_rev
+++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++++ get_current_git glibc_rev
++++ set -euf -o pipefail
++++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++++ set -euf -o pipefail +x
++++ cat artifacts/git/glibc_rev
+++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
++++ git -C glibc rev-list --count 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
+++ c_commits=7
+++ '[' '' '!=' '' ']'
+++ git -C glibc log -n 5 --oneline 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
+++ '[' 7 -gt 5 ']'
+++ echo '... and 2 more commits in glibc'
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -1409,7 +649,7 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ return 0
++ gnu_print_config --long
++ false
-++ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/tcwg_gnu-config.sh
+++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/tcwg_gnu-config.sh
++ gcc_override_configure=()
++ local -a gcc_override_configure
++ gcc_target_board_options=()
@@ -1457,123 +697,38 @@ DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/int
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' single_commit '!=' single_commit ']'
-+ '[' '' '!=' '' ']'
-+ local key
-++ print_jira_card_key
-++ set -euf -o pipefail
-++ local jira_dir
-+++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-++ '[' -f interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira/key ']'
-++ return 0
-+ key=
-+ '[' -z '' ']'
-++ print_jira_template_card
-++ local jira_card=GNU-692
-++ case "$ci_project/$ci_config:$changed_single_component" in
-++ echo GNU-692
-+ key=GNU-692
-+ cat
-++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--reproduction_instructions_link
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c tcwg_glibc_build master-aarch64
-+++ local dir=glibc/sha1
-+++ '[' 4 -ge 2 ']'
-+++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ '[' 4 -ge 3 ']'
-+++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-+++ '[' 4 -ge 4 ']'
-+++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-++ isubdir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-++ case "$print_arg" in
-++ print_icommits_link glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-++ set -euf -o pipefail
-++ local path=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
-++ print_commits --link
-++ set -euf -o pipefail
-++ false
-++ local print_arg=--link
-++ '[' single_commit = no_change ']'
-++ local more_lines
-++ '[' single_commit = single_commit ']'
-++ local c=glibc
-++ '[' --link = --link ']'
-++ local url
-+++ get_baseline_git glibc_url
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_url
-++ url=git://sourceware.org/git/glibc.git
-++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
-++ url=glibc.git
-++ url='https://sourceware.org/git/?p=glibc.git'
-++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=2aa0974d2573441bffd596b07bff8698b1f2f18c'
-++ return 0
-++ print_last_icommit --status
-++ false
-++ set -euf -o pipefail
-++ local print_arg=--status
-++ shift 1
-++ '[' xsingle_commit '!=' xsingle_commit ']'
-++ local isubdir
-+++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ local dir=glibc/sha1
-+++ '[' 2 -ge 2 ']'
-+++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+++ '[' 2 -ge 3 ']'
-+++ '[' 2 -ge 4 ']'
-+++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ isubdir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ case "$print_arg" in
-++ cat interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/status.txt
++ '[' single_component '!=' single_commit ']'
++ return
# generate dashboard
-# generate_dashboard_squad
-... Skipping
-# post_dashboard_squad
-... Skipping
+ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
+# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
+... Skipping
+ false
+ echo '... Skipping'
+ return
+ post_dashboard_squad
+# post_dashboard_squad
+... Skipping
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 91790
++ wait 63729
+ set -euf -o pipefail
-+ echo '# generate_lnt_report'
# generate_lnt_report
++ echo '# generate_lnt_report'
+ true
+ case "$ci_project" in
-+ . /home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/lnt-utils.sh
++ . /home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -1594,5 +749,5 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ false
+ false
-+ echo 'Full stage ran successfully.'
Full stage ran successfully.
++ echo 'Full stage ran successfully.'
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 0f64480..910063f 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859: ./jenkins-scripts/round-robin-notify.sh '@@rr[top_artifacts]' artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -d: -f 1
-+ host=tcwg-jade-05
++ host=tcwg-jade-06
+ local port
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 4
-+ opts=-p50224
++ opts=-p35859
+ local env_vars
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,10 +58,10 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q tcwg_gnu-build.sh
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p50224 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p35859 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-notify.sh @@rr\[top_artifacts\] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh'
-/home/tcwg-buildslave/workspace/tcwg_gnu_0/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+/home/tcwg-buildslave/workspace/tcwg_gnu_7/jenkins-scripts/round-robin-notify.sh @@rr[top_artifacts] artifacts --notify ignore __stage init __verbose true __build_script tcwg_gnu-build.sh
+ false
+ dryrun=
@@ -87,17 +87,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/765/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/767/'
# Using dir : artifacts
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -105,8 +105,8 @@
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
-# check_source_changes
+ check_source_changes
+# check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -137,7 +137,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x2aa0974d2573441bffd596b07bff8698b1f2f18c '!=' xf5677d9cebb12edcd9301dbb5cf40f82618b46af ']'
+++ '[' x83d13972f23546758b600ba940e0d53248dd0339 '!=' x2aa0974d2573441bffd596b07bff8698b1f2f18c ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -150,17 +150,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ first_bad=83d13972f23546758b600ba940e0d53248dd0339
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ last_good=2aa0974d2573441bffd596b07bff8698b1f2f18c
+ local res
+ res=0
-+ wait 54769
++ wait 63451
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -174,22 +174,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ git -C glibc rev-parse '2aa0974d2573441bffd596b07bff8698b1f2f18c^@'
++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
+++ git -C glibc rev-parse '83d13972f23546758b600ba940e0d53248dd0339^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' f5677d9cebb12edcd9301dbb5cf40f82618b46af = f5677d9cebb12edcd9301dbb5cf40f82618b46af ']'
-+ return 0
-+ change_kind=single_commit
++ '[' 97290559c3b497fb9012c3f6248cb30afb26da7c = 2aa0974d2573441bffd596b07bff8698b1f2f18c ']'
++ return 1
++ change_kind=single_component
# Debug traces :
+ echo '# Debug traces :'
-# change_kind=single_commit : glibc
-+ echo '# change_kind=single_commit : glibc'
+# change_kind=single_component : glibc
++ echo '# change_kind=single_component : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -197,17 +197,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=f5677d9cebb12edcd9301dbb5cf40f82618b46af
++ base_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ git -C glibc rev-list --count f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ c_commits=1
-+ echo '# rev for glibc : f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c (1 commits)'
-# rev for glibc : f5677d9cebb12edcd9301dbb5cf40f82618b46af..2aa0974d2573441bffd596b07bff8698b1f2f18c (1 commits)
++ cur_rev=83d13972f23546758b600ba940e0d53248dd0339
+++ git -C glibc rev-list --count 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339
++ c_commits=7
+# rev for glibc : 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339 (7 commits)
++ echo '# rev for glibc : 2aa0974d2573441bffd596b07bff8698b1f2f18c..83d13972f23546758b600ba940e0d53248dd0339 (7 commits)'
+ echo ''
+ setup_stages_to_run
@@ -235,254 +235,8 @@
+ echo '# post_interesting_commits'
# post_interesting_commits
+ local stage=init
-+ '[' single_commit '!=' single_commit ']'
-+ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local reference=auto
-+ local single_branch=master
-+ local remote=origin
-+ local refopt=
-+ case "$reference" in
-+ local ref_dir
-+ for ref_dir in $url $dir
-++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ for ref_dir in $url $dir
-++ basename interesting-commits .git
-+ ref_dir=interesting-commits
-+ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
-+ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
-+ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
-+ git -C interesting-commits status
-+ '[' -d interesting-commits ']'
-+ '[' x '!=' x ']'
-+ '[' -d interesting-commits ']'
-+ rm -f interesting-commits/.git/gc.log
-+ git -C interesting-commits config gc.autoDetach false
-+ git -C interesting-commits gc --auto --force --prune=all
-+ find interesting-commits/.git -name '*.lock' -delete
-+ local i
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits am --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits cherry-pick --abort
-+ true
-+ for i in am cherry-pick rebase
-+ git -C interesting-commits rebase --abort
-+ true
-+ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local remote=origin
-+ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local single_branch=master
-+ git -C interesting-commits remote rm origin
-+ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
-+ local refspec
-+ '[' xmaster = x ']'
-+ refspec=+refs/heads/master:refs/remotes/origin/master
-+ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ local duration=1h
-+ shift
-+ local tries=3
-+ shift
-+ local n=0
-+ local ret=0
-timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 3 ']'
-+ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ ret=0
-+ wait 54849
-+ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
-+ '[' 0 -eq 0 ']'
-+ break
-+ return 0
-+ git_checkout interesting-commits master origin
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ local ref=master
-+ local remote=origin
-+ git_clean interesting-commits
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard
-+ local sha1
-++ git_rev_parse interesting-commits master origin
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ '[' 3 -ge 3 ']'
-++ remote=origin
-++ git_rev_parse_1 interesting-commits master origin --short
-++ set -euf -o pipefail
-++ local dir=interesting-commits
-++ local ref=master
-++ local remote=origin
-++ local opts=--short
-++ local ret
-++ cd interesting-commits
-++ local sha1 try_ref
-++ case "$ref" in
-++ try_ref=refs/remotes/origin/master
-++ ret=0
-+++ git rev-parse --short refs/remotes/origin/master
-++ sha1=4ab17925
-++ '[' 0 -ne 0 ']'
-++ echo 4ab17925
-+ sha1=4ab17925
-+ git -C interesting-commits checkout --detach 4ab17925
-Previous HEAD position was 844d9214 Add entry 98107b0b17acd9d2c28829cbe93a75b72677d220 from https://ci.linaro.org/job/tcwg_gdb_check--master-arm-build/377/
-HEAD is now at 4ab17925 Add entry da1a888b524d620c7a17f368b69c46934b69495c from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_eabi-build/334/
-+ false
-+ dryrun='echo DRYRUN: '
-+ local jira_dir jira_key=
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ jira_dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/jira
-+ '[' init = full ']'
-+ true
-+ git -C interesting-commits remote update -p
-Fetching baseline
-From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
- c181ce59..4ab17925 master -> baseline/master
-Fetching origin
-+ git_clean interesting-commits refs/remotes/origin/master
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift
-+ fresh_dir interesting-commits 'interesting-commits/.git/*'
-+ set -euf -o pipefail
-+ local dir=interesting-commits
-+ shift 1
-++ dirname interesting-commits/something
-+ dir=interesting-commits
-+ mkdir -p interesting-commits
-+ find_opts=("!" "-path" "$dir")
-+ for keep_pattern in "$@"
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname 'interesting-commits/.git/*'
-+ keep_pattern=interesting-commits/.git
-+ '[' xinteresting-commits/.git = xinteresting-commits ']'
-+ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
-+ set -euf -o pipefail +x
-+ :
-+ find_opts+=("!" "-path" "$keep_pattern")
-++ dirname interesting-commits/.git
-+ keep_pattern=interesting-commits
-+ '[' xinteresting-commits = xinteresting-commits ']'
-+ break
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
-+ chmod -R +rw interesting-commits
-+ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
-+ git -C interesting-commits reset -q --hard refs/remotes/origin/master
-# update_interesting_commits
-+ update_interesting_commits init ''
-+ echo '# update_interesting_commits'
-+ local stage=init
-+ local jira_key=
-+ local subdir3 subdir4 subdir4
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ local dir=glibc/sha1
-++ '[' 2 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 2 -ge 3 ']'
-++ '[' 2 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ subdir3=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c tcwg_glibc_build
-++ local dir=glibc/sha1
-++ '[' 3 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 3 -ge 3 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ '[' 3 -ge 4 ']'
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-+ subdir4=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ interesting_subdir glibc 2aa0974d2573441bffd596b07bff8698b1f2f18c tcwg_glibc_build master-aarch64
-++ local dir=glibc/sha1
-++ '[' 4 -ge 2 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-++ '[' 4 -ge 3 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build
-++ '[' 4 -ge 4 ']'
-++ dir=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-++ echo glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ subdir5=glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ '[' -d interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c ']'
-+ mkdir -p interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url
-+ mkdir -p interesting-commits/glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64
-+ get_current_manifest BUILD_URL
-+ get_manifest artifacts/manifest.sh BUILD_URL
-+ set +x
-+ echo f5677d9cebb12edcd9301dbb5cf40f82618b46af
-+ git -C interesting-commits add glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/last_good
-+ '[' init '!=' full ']'
++ '[' single_component '!=' single_commit ']'
+ return
-++ get_current_manifest BUILD_URL
-++ get_manifest artifacts/manifest.sh BUILD_URL
-++ set +x
-+ git -C interesting-commits commit -m 'Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/'
-[detached HEAD 8f1be165] Add entry 2aa0974d2573441bffd596b07bff8698b1f2f18c from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/766/
- 3 files changed, 3 insertions(+)
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/first_url
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/build_url
- create mode 100644 glibc/sha1/2aa0974d2573441bffd596b07bff8698b1f2f18c/tcwg_glibc_build/master-aarch64/last_good
-+ wait 67052
-+ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
-+ break
+ '[' init '!=' full ']'
Init stage ran successfully.
+ echo 'Init stage ran successfully.'
diff --git a/jenkins/rewrite.log b/jenkins/rewrite.log
index 10e45cc..7ec0b6d 100644
--- a/jenkins/rewrite.log
+++ b/jenkins/rewrite.log
@@ -1,25 +1,25 @@
++ pwd
++ cat
-+ remote_exec tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
++ remote_exec tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859: ./jenkins-scripts/round-robin-baseline.sh '@@rr[top_artifacts]' artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100
+ set -euf -o pipefail
+ local host
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -d: -f 1
-+ host=tcwg-jade-05
++ host=tcwg-jade-06
+ local port
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 2
+ port=
+ local dir
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 3
-+ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_0
++ dir=/home/tcwg-buildslave/workspace/tcwg_gnu_7
+ local opts
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 4
-+ opts=-p50224
++ opts=-p35859
+ local env_vars
-++ echo tcwg-jade-05::/home/tcwg-buildslave/workspace/tcwg_gnu_0:-p50224:
+++ echo tcwg-jade-06::/home/tcwg-buildslave/workspace/tcwg_gnu_7:-p35859:
++ cut -s -d: -f 5
+ env_vars=
+ shift
@@ -58,8 +58,8 @@
+ for i in "$@"
+ cmd+=("$(printf '%q' "$i")")
++ printf %q 100
-++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_0
-+ ssh -p50224 tcwg-jade-05 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_0 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+++ printf %q /home/tcwg-buildslave/workspace/tcwg_gnu_7
++ ssh -p35859 tcwg-jade-06 'cd /home/tcwg-buildslave/workspace/tcwg_gnu_7 && exec ./jenkins-scripts/round-robin-baseline.sh @@rr\[top_artifacts\] artifacts __build_script tcwg_gnu-build.sh __push_base_artifacts true __rewrite_base_artifacts true __rewrite_num 100'
+ declare -g rewrite_base_artifacts_first=true
+ true
+ update_baseline
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 3c2c929..3c6eefc 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#766"
+build_name="#767"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-jade-05
+tcwg-jade-06
--security
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#766-glibc"
+build_name="#767-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#766-glibc-R1"
+build_name="#767-glibc-R1"